/*	l_dir.h
 *
 *	Disk directory access structures.
 */

extern struct dskfile {
	struct dskfile *next;
	char	name[80];
	int	type;
	unsigned long size;
	unsigned long date;
} *dskfiles, *lastdskfile;
extern	int	ndskfiles;

struct dsktree {			/* disk file descriptor */
	struct dsktree *next;
	unsigned long	size;
	unsigned long	timestamp;
	char	*name;
	int	attrib;
};

extern	struct dskdir {			/* disk directory descriptor */
	struct dskdir *next;
	char	*name;
	struct	dskdir *daughters;
	struct	dsktree *sons;
	short	num;			/* sequential number in the tree */
	short	parent;			/* id of parent directory */
} *dskroot, *dsklast;

extern	int	ldir_getdirs;		/* return only directory files */

#if defined(__STDC__) || defined(__BORLANDC__) || defined(__cplusplus)
#ifdef __cplusplus
extern "C" {
#endif
void	get_directory(char *dirname, char *pattern);
char	*getfilename(char *prompt, char *path, char *selection, int oknew);
void	get_disk_tree(char *root);
void	print_disk_tree(void);
char	*select_disk_file(void);
void	freedskfiles(void);
#ifdef __cplusplus
};
#endif	/* __cplusplus */
#else	/* non ANSI definitions below */
void	get_directory();
char	*getfilename();
void	get_disk_tree();
void	print_disk_tree();
char	*select_disk_file();
void	freedskfiles();
#endif	/* ANSI/non-ANSI */

